Subject: Re: bug#23785: Emacs 25: "Undo" overdoes things.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jun 2016 22:02:07 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked] (Phillip Lord),  [email-masked],  [email-masked]
> Date: Sat, 18 Jun 2016 14:42:07 -0400
> 
> > I'd indeed suggest to have on emacs-25 a change that only affects
> > revert-buffer, and have the above on master.  It sounds too scary to
> > make a change that affects all commands this late in the pretest.
> 
> FWIW, this change you say is scary brings the behavior much closer
> to that of Emacs<25, so I think it's the safer choice.

My concern is not with the behavior the proposed change intends to get
us, the concern is with the unintended consequences of the change.  At
this late stage, I'd like to keep the risk of unintended consequences
to the minimum, unless we want this change so badly we agree to extend
the pretesting by another month or two.